MVC5ATM/MVC5ATM/Controllers/CheckingAccountController.cs
using Microsoft.AspNet.Identity;
using MVC5ATM.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MVC5ATM.Controllers
{
	[Authorize]
    public class CheckingAccountController : Controller
    {
		private ApplicationDbContext _db = new ApplicationDbContext();


        // GET: CheckingAccount/Details
        public ActionResult Details(int checkingAccountId)
        {
			var userId = User.Identity.GetUserId();
			var account = _db.Checkingaccounts.Where(w => w.ApplicationUserId == userId).First();
            return View(account);
        }

		[Authorize(Roles ="Admin")]
		public ActionResult DetailsForAdmin(int id)
		{
			var checkingAccount = _db.Checkingaccounts.Find(id);
			return View("Details",checkingAccount);
		}

		[Authorize(Roles ="Admin")]
		public ActionResult List()
		{
			return View(_db.Checkingaccounts.ToList());
		}

        // GET: CheckingAccount/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: CheckingAccount/Create
        [HttpPost]
        public ActionResult Create(FormCollection collection)
        {
            try
            {
                // TODO: Add insert logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        // GET: CheckingAccount/Edit/5
        public ActionResult Edit(int id)
        {
            return View();
        }

        // POST: CheckingAccount/Edit/5
        [HttpPost]
        public ActionResult Edit(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add update logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        // GET: CheckingAccount/Delete/5
        public ActionResult Delete(int id)
        {
            return View();
        }

        // POST: CheckingAccount/Delete/5
        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add delete logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

		public ActionResult Statement(int id)
		{
			var checkingAccount = _db.Checkingaccounts.Find(id);
			return View(checkingAccount.Transactions.ToList());
		}
	}
}

MVC5ATM/MVC5ATM/Controllers/HomeController.cs
using MVC5ATM.Filters;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Microsoft.AspNet.Identity;
using MVC5ATM.Models;
using Microsoft.AspNet.Identity.Owin;

namespace MVC5ATM.Controllers
{
	public class HomeController : Controller
	{
		private ApplicationDbContext db = new ApplicationDbContext();

		[Authorize]
		//[ActionExecutionLoger] - rejestracja filtra przeniesiona do FilterConfig aby móc go stosować globalnie
		[OutputCache(Duration =120,VaryByParam ="???")]
		[HandleError(View = "MathError", ExceptionType = typeof(DivideByZeroException))]
		public ActionResult Index()
		{
			var userId = User.Identity.GetUserId();
			var checkingAccountId = db.Checkingaccounts.Where(w => w.ApplicationUserId == userId).First().Id;
			ViewBag.CheckingAccountId = checkingAccountId;

			var manager = HttpContext.GetOwinContext().GetUserManager<ApplicationUserManager>();
			var user = manager.FindById(userId);
			ViewBag.Pin = user.Pin;

			return View();
		}

		[ActionName("about-this-atm")]
		public ActionResult About()
		{
			ViewBag.Message = "Your application description page.";

			return View("About"); //need to pass right name of View file, without it, mvc will looking for view called "about-this-atm"
		}

		public ActionResult Contact()
		{
			//ViewBag value is available only for view, if we redirect to another action, ViewBag value won't be available.
			//TempData przetrwa przekierowania
			ViewBag.Message = "Dawaj message";

			return View();
		}

		[HttpPost]
		public ActionResult Contact(string message)
		{
			//ViewBag value is available only for view, if we redirect to another action, ViewBag value won't be available.
			//TempData przetrwa przekierowania
			ViewBag.Message = "Thank's we got your message";

			return PartialView("_ContactThanks");
		}


		//create alias to "About" message
		public ActionResult Foo()
		{
			//throw new Exception(); //only for tests
			return View("About"); //use "Foo" as alias to "About" page
		}

		public ActionResult Serial(string letterCase)
		{
			var serial = "ASP.NET.ATM.SIMULATOR";

			if (letterCase == "lower")
				return Content(serial.ToLower());
			//else return Content(serial);

			return Json(new { name = "serial", value = serial },JsonRequestBehavior.AllowGet);
		}

		public ActionResult SayThanks(string question)
		{
			var answer = "it comes from controller";

			return Json(new { name = "serial", value = answer }, JsonRequestBehavior.AllowGet);
		}


	}
}

MVC5ATM/MVC5ATM/Views/Home/About.cshtml
@{
    ViewBag.Title = "About";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<p>Use this area to provide additional information.</p>

MVC5ATM/MVC5ATM/Views/Home/Contact.cshtml
@{
	ViewBag.Title = "Contact";
}
<h2>@ViewBag.Title.</h2>


<address>
	One Microsoft Way<br />
	Redmond, WA 98052-6399<br />
	<abbr title="Phone">P:</abbr>
	425.555.0100
</address>

<address>
	<strong>Support:</strong>   <a href="mailto:Support@example.com">Support@example.com</a><br />
	<strong>Marketing:</strong> <a href="mailto:Marketing@example.com">Marketing@example.com</a>
</address>


<div id="formSection">
	<h3>@ViewBag.Message</h3>
	<form method="post" id="contactForm">
		<textarea name="message" id="message" maxlength="150" data-bind="value:message,valueUpdate:'input'"></textarea>
		<input type="submit" value="Send" />
		<span data-bind="text:charactersRemaining"></span>
	</form>
	<img src="~/Content/Image/giphy.gif" id="progress" style="display:none;" />
</div>

@section scripts{
<script src="~/Scripts/knockout-3.4.2.js"></script>
	<script>
		function ContactViewModel() {
			var self = this;
			self.message = ko.observable('');
			self.charactersRemaining = ko.computed(function () {
				return 150 - self.message().length;
			})

		}
		ko.applyBindings(new ContactViewModel());
	</script>
	<script>
		$('#contactForm').submit(function () {
			$('#progress').show();
			$.post('', { message: $('#message').val() }) //possible for url: @@Url.Action("SayThanks", "Home", new { question = "dupa" })
				.done(function (response) {
					console.log(response);
	setTimeout(function () { $('#formSection').html(response); }, 2000);
				});
			return false;
		});
	</script>
}

@*<div id="formSection">
		<h3>@ViewBag.Message</h3>
		@using (Ajax.BeginForm(new AjaxOptions
		{
			HttpMethod = "post",
			InsertionMode = InsertionMode.Replace, //Replace zastąpi wszystko wewnątrz diva, replaceWith zastąpi całego diva od początkowego znacznika.
			UpdateTargetId = "formSection"
			,OnComplete = "alertMessage"
			//Kupa innych metod
		}))
		{
			<textarea name="message"></textarea>
			<input type="submit" value="Send" />
		}
	</div>

	@section scripts{

	<script src="~/Scripts/jquery.unobtrusive-ajax.min.js"></script>
		}

	<script type="text/javascript">
		function alertMessage() {
			alert("Skonczylem");
		}
	</script>*@

MVC5ATM/MVC5ATM/Views/Home/Index.cshtml
@{
	ViewBag.Title = "Home Page";
	//Layout = "MyLayout.cshtml";
}



<div class="row">
	<div class="col-md-6 margin-top-20">
		<a href="#" class="btn btn-primary btn-large btn-block">
			<span class="glyphicon glyphicon-circle-arrow-down"></span>  Withdrawal
		</a>
		<a href="#" class="btn btn-primary btn-large btn-block">
			<span class="glyphicon glyphicon-flash"></span>  Quick Cash $100
		</a>
		<a href="@Url.Action("Details","CheckingAccount",new { checkingAccountId = ViewBag.CheckingAccountId })" class="btn btn-primary btn-large btn-block">
			<span class="glyphicon glyphicon-question-sign"></span>  Balance Inquiry
		</a>
	</div>
	<div class="col-md-6 margin-top-20">
		<a href="@Url.Action("Statement","CheckingAccount", new { id = ViewBag.CheckingAccountId })" class="btn btn-primary btn-large btn-block">
			<span class="glyphicon glyphicon-print"></span>  Print Statement
		</a>
		<a href="#" class="btn btn-primary btn-large btn-block">
			<span class="glyphicon glyphicon-transfer"></span>  Transfer Funds
		</a>
		<a href="@Url.Action("Deposit","Transfer",new { checkingAccountId = ViewBag.CheckingAccountId })" class="btn btn-primary btn-large btn-block">
			<span class="glyphicon glyphicon-circle-arrow-up"></span>  Deposit
		</a>
	</div>
</div>

@ViewBag.Pin

<div class="margin-top-20">
	You are using <b> @Request.Browser.Browser </b> at this moment<br />

	Send me an email to pgruba@interia.pl<br />

	Or just write to me on tweeter @@myTweeterAccount
</div>

@*@{  var amounts = new List<decimal> { 100, 25.50m, -40, 275.99m };}

	<ul>
		@foreach (decimal value in amounts)
		{
			<li>@formatAmount(value)</li>
			<text>plain text</text>
			@:plain text
		}
	</ul>

	@helper formatAmount(decimal amount)
	{
	var color = "green";
	if (amount < 0)
	{
		color = "red";
	}
		<span style="color:@color">@String.Format("{0:c}", amount)</span>
	}*@


@section scripts {
	<script> var testing = true;</script>
}

MVC5ATM/MVC5ATM/Views/Home/_ContactThanks.cshtml
<h3>@ViewBag.Message</h3>